<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>
    <xsd:include schemaLocation="Components.xsd"/>
    <xsd:include schemaLocation="DirectoryName.xsd"/>
    <xsd:include schemaLocation="Dependencies.xsd"/>
 
    <xsd:element name="componentExtension" type="ComponentExtension"/>
    <xsd:complexType name="ComponentExtension">
        <xsd:sequence>
            <xsd:element name="name"          type="xsd:string"/>
            <xsd:element name="description"   type="xsd:string"/>
            <xsd:element name="components"    type="Components"/>
            <xsd:element name="dependencies"  type="Dependencies" minOccurs="0" />
        </xsd:sequence>
    </xsd:complexType>
</xsd:schema>
